
Titanium.include("src/common/TopBar.js");
Titanium.include("/src/common/TitleBar.js");
Titanium.include("src/common/BottomBar.js");
Titanium.include("src/common/Respondo2Calculator.js");
Titanium.include("src/screen/HomeScreen.js");
Titanium.include("src/screen/EquipmentScreen.js");
Titanium.include("src/screen/CylFilScreen.js");
Titanium.include("src/screen/ContactUsScreen.js");
Titanium.include("src/screen/detail/home/O2DeviceSelection.js");
Titanium.include("src/screen/detail/home/CylinderSelection.js");
Titanium.include("src/screen/detail/home/LiterFlowSelection.js");
Titanium.include("src/screen/detail/home/PercSelection.js");
Titanium.include("src/screen/detail/contactus/FacebookShare.js");
Titanium.include("src/screen/detail/contactus/TwitterShare.js");

Titanium.UI.setBackgroundColor('#fff');

//Global variables

var screenWidth = Titanium.Platform.displayCaps.platformWidth;
var screenHeight = Titanium.Platform.displayCaps.platformHeight;
var titleBarHeight = 50;
var topBarHeight = 30;
var bottomBarHeight = 40;
var viewHeight = screenHeight - titleBarHeight - bottomBarHeight;
var bodyViewHeight = viewHeight - topBarHeight;

var defaultSelectionLabel = 'Select';
var defaultDurationLabel = 'Please make selections';

var deviceTypeLabel = Titanium.UI.createLabel({
	text:defaultSelectionLabel,
	font:{fontSize:14,fontWeight:'bold'},
	color:'BLUE',
	textAlign:'right',
	right:15
});
var literFlowLabel = Titanium.UI.createLabel({
	text:defaultSelectionLabel,
	font:{fontSize:14,fontWeight:'bold'},
	color:'BLUE',
	textAlign:'right',
	right:15
});
var cylinderSizeLabel = Titanium.UI.createLabel({
	text:defaultSelectionLabel,
	font:{fontSize:14,fontWeight:'bold'},
	color:'BLUE',
	textAlign:'right',
	right:15
});
var percFullLabel = Titanium.UI.createLabel({
	text:defaultSelectionLabel,
	font:{fontSize:14,fontWeight:'bold'},
	color:'BLUE',
	textAlign:'right',
	right:15
});
var durationLabel = Titanium.UI.createLabel({
	text:defaultDurationLabel,
	font:{fontSize:14,fontWeight:'bold'},
	color:'BLUE',
	textAlign:'right',
	right:3
});

var win = Titanium.UI.createWindow({
	backgroundColor:'#fff',
    orientationModes:[Titanium.UI.PORTRAIT]
});
Titanium.Gesture.addEventListener('orientationchange', function(e){
	win.orientationModes = [Titanium.UI.PORTRAIT];
	Titanium.UI.orientation = Titanium.UI.PORTRAIT;
});

var titleView = new TitleBar().load();
var bottomView = new BottomBar().load();
var mainView = new HomeScreen().load();

win.add(titleView);
win.add(bottomView);
win.add(mainView);
win.open();

var CalcObject = new Respondo2Calculator();

function changeView(view){
	win.add(view);
	win.remove(mainView);
	mainView = view;
}

function changeBgToOrange(view){
	try{
		view.backgroundColor = 'orange';
	} catch(err) {
		Ti.API.info('Error in setting row bg. ' + err);
	}
}

function setDefaultValues(){
	deviceTypeLabel.text = defaultSelectionLabel;
	literFlowLabel.text = defaultSelectionLabel;
	cylinderSizeLabel.text = defaultSelectionLabel;
	percFullLabel.text = defaultSelectionLabel;
	durationLabel.text = defaultDurationLabel;
}

function displayResult(){
	if(deviceTypeLabel.text != defaultSelectionLabel && literFlowLabel.text != defaultSelectionLabel && cylinderSizeLabel.text != defaultSelectionLabel	&& percFullLabel.text != defaultSelectionLabel){
		var result = CalcObject.calculateDuration();
		durationLabel.text = result;
	}
}


