
function Respondo2Calculator(){
	
	var cylSizeRegulators = ['M4 / 113L', 'M6 / 164L', 'M7 / 198L', 'M9 / 248L', 'D / 415L', 'Jumbo D / 647L', 'E / 682L', 'M60 / 1724L', 'MM / 3452L', 'H / 6226L', 'H250 / 7075L', 'T300 / 8490L'];
	var cylSizeConservers = ['M4 / 113L', 'M6 / 164L', 'M7 / 198L', 'M9 / 248L', 'D / 415L', 'E / 682L'];
	var cylSizeRegulatorsMappedValues = [113, 164, 198, 248, 415, 647, 682, 1724, 3452, 6226, 7075, 8490];
	var cylSizeConserversMappedValues = [113, 164, 198, 248, 415, 682];
	
	var literFlowPediatric = [0.03, 0.06, 0.12, 0.25, 0.375, 0.5, 0.75, 1, 1.5, 2, 2.5, 3, 4];
	var literFlowAdult = [1, 1.5, 2, 2.5, 3, 4, 5, 6, 7, 8, 10, 12, 15];
	var literFlowEms = [1, 2, 3, 4, 6, 8, 10, 15, 20, 25];
	var literFlowConserver3 = [1, 2, 2.5, 3, 4, 5, 6];
	var literFlowConserver5 = [1, 2, 2.5, 3, 4, 5];
	
	var percFullOptions = ['Full Cylinder', '75% Full - 1500 PSI', '50% Full - 1000 PSI', '25% Full - 500 PSI'];
	var percFullMappedValues = [1, 0.75, 0.5, 0.25];
	
	var appData = 
		[
		 {deviceType:'Conserver 5:1', literFlow:literFlowConserver5, cylSize:cylSizeConservers},
		 {deviceType:'Conserver 3:1', literFlow:literFlowConserver3, cylSize:cylSizeConservers},
		 {deviceType:'Pediatric Regulator', literFlow:literFlowPediatric, cylSize:cylSizeRegulators},
		 {deviceType:'Adult Regulator', literFlow:literFlowAdult, cylSize:cylSizeRegulators},
		 {deviceType:'EMS Regulator', literFlow:literFlowEms, cylSize:cylSizeRegulators}
		];
	
	this.getDeviceTypes = function(){
		var deviceTypes = [];
		
		for(i = 0; i < appData.length; i++){
			deviceTypes.push(appData[i].deviceType);
		}
		
		return deviceTypes;
	};
	
	this.getLiterFlows = function(deviceType){
		for(i = 0; i < appData.length; i++){
			if(appData[i].deviceType == deviceType){
				return appData[i].literFlow;
			}
		}
	};
	
	this.getCylSizes = function(deviceType){
		for(i = 0; i < appData.length; i++){
			if(appData[i].deviceType == deviceType){
				return appData[i].cylSize;
			}
		}
	};
	
	this.getPercFullOptions = function(){
		return percFullOptions;
	};
	
	this.getDeviceTypeByIndex = function(index){
		return appData[index].deviceType;
	};
	
	this.getLiterFlow = function(deviceType, literIndex){
		for(i = 0; i < appData.length; i++){
			if(appData[i].deviceType == deviceType){
				return appData[i].literFlow[literIndex];
			}
		}
	};
	
	this.getCylSize = function(deviceType, cylIndex){
		for(i = 0; i < appData.length; i++){
			if(appData[i].deviceType == deviceType){
				return appData[i].cylSize[cylIndex];
			}
		}
	};
	
	this.getPercFull = function(percIndex){
		return percFullOptions[percIndex];
	};
	
	this.getStrippedOutLPMValue = function(lpmText){
		var value;
		
		if(lpmText.indexOf('LPM') >= 0){
			value = lpmText.substring(0, lpmText.indexOf('LPM') - 1);
		}
		
		return value;
	};
	
	this.calculateDuration = function(){
		var literFlowValue = this.getStrippedOutLPMValue(literFlowLabel.text);
		var cylSizeValue;
		var percFullValue;
		
		if(deviceTypeLabel.text == appData[0].deviceType || deviceTypeLabel.text == appData[1].deviceType){
			for(i = 0; i < cylSizeConservers.length; i++){
				if(cylinderSizeLabel.text == cylSizeConservers[i]){
					cylSizeValue = cylSizeConserversMappedValues[i];
				}
			}
		} else {
			for(i = 0; i < cylSizeRegulators.length; i++){
				if(cylinderSizeLabel.text == cylSizeRegulators[i]){
					cylSizeValue = cylSizeRegulatorsMappedValues[i];
				}
			}
		}
		
		for(i = 0; i < percFullOptions.length; i++){
			if(percFullLabel.text == percFullOptions[i]){
				percFullValue = percFullMappedValues[i];
			}
		}
		var result = (cylSizeValue / literFlowValue) * percFullValue;
		if(deviceTypeLabel.text == appData[0].deviceType){
			result = result * 5;
		}
		if(deviceTypeLabel.text == appData[1].deviceType){
			result = result * 3;
		}
		var hours = result / 60;
		var minutes = result % 60;
		hours = Math.floor(hours);
		minutes = Math.round(minutes);
		
		var resultText = hours + ' Hour(s), ' + minutes + ' Minute(s)';
		
		return resultText;
	};
	
}





