
function HomeScreen(){

	this.load = function(){
		
		var topBar = new TopBar().load();
		
		var screenLabel = Titanium.UI.createLabel({  
		    text:'CALCULATOR',
		    color:'#fff',
			textAlign:'center',
		    font:{fontWeight:'bold'}
		});
		topBar.add(screenLabel);
		var resetBtn = Titanium.UI.createButton({  
			backgroundImage:'images/img_TOP_NAV.png',
			borderWidth:2,
			borderColor:'#000',
			title:'RESET',
			color:'#fff',
			font:{fontSize:13,fontWeight:'bold'},
		    width:60,
		    height:24,
		    top:(topBar.height - 24 )/2,
		    right:10
		});
		topBar.add(resetBtn);
		resetBtn.addEventListener('click', function(e){
			setDefaultValues();
		});
		
		var homeView = Titanium.UI.createView({
			width:screenWidth,
			height:viewHeight,
			top:titleBarHeight
		});
		
		var data = [];
		
		var deviceRow = Titanium.UI.createTableViewRow({
			rightImage:'images/Arrow.png',
			selectedBackgroundColor:'#fff'
		});
		var lblO =  Titanium.UI.createLabel({
			text:'O',
			color:'#000',
			font:{fontSize:12,fontWeight:'bold'},
			textAlign:'left',
			left:2
		});
		var lbl2 =  Titanium.UI.createLabel({
			text:'2',
			color:'#000',
			font:{fontSize:8,fontWeight:'bold'},
			textAlign:'left',
			left:12,
			top:5
		});
		var lblDevice =  Titanium.UI.createLabel({
			text:' Device',
			color:'#000',
			font:{fontSize:12,fontWeight:'bold'},
			textAlign:'left',
			left:20
		});
		var lblDeviceView =  Titanium.UI.createView({
			left:0
		});
		lblDeviceView.add(lblO);
		lblDeviceView.add(lbl2);
		lblDeviceView.add(lblDevice);
		deviceRow.add(lblDeviceView);
		deviceRow.add(deviceTypeLabel);
		deviceRow.hasChild=true;
		deviceRow.className = 'home_row';
		data.push(deviceRow);
		
		var literFlowRow = Titanium.UI.createTableViewRow({
			rightImage:'images/Arrow.png',
			selectedBackgroundColor:'#fff'
		});
		var lblLiterFlow =  Titanium.UI.createLabel({
			text:'Liter Flow',
			color:'#000',
			font:{fontSize:12,fontWeight:'bold'},
			textAlign:'left',
			left:2
		});
		literFlowRow.add(lblLiterFlow);
		literFlowRow.add(literFlowLabel);
		literFlowRow.hasChild=true;
		literFlowRow.className = 'home_row';
		data.push(literFlowRow);
		
		var cylinderSizeRow = Titanium.UI.createTableViewRow({
			rightImage:'images/Arrow.png',
			selectedBackgroundColor:'#fff'
		});
		var lblCylinderSize =  Titanium.UI.createLabel({
			text:'Cylinder Size',
			color:'#000',
			font:{fontSize:12,fontWeight:'bold'},
			textAlign:'left',
			left:2
		});
		cylinderSizeRow.add(lblCylinderSize);
		cylinderSizeRow.add(cylinderSizeLabel);
		cylinderSizeRow.hasChild=true;
		cylinderSizeRow.className = 'home_row';
		data.push(cylinderSizeRow);
		
		var percFullRow = Titanium.UI.createTableViewRow({
			rightImage:'images/Arrow.png',
			selectedBackgroundColor:'#fff'
		});
		var lblPercFull =  Titanium.UI.createLabel({
			text:'Cylinder % Full',
			color:'#000',
			font:{fontSize:12,fontWeight:'bold'},
			textAlign:'left',
			left:2
		});
		percFullRow.add(lblPercFull);
		percFullRow.add(percFullLabel);
		percFullRow.hasChild=true;
		percFullRow.className = 'home_row';
		data.push(percFullRow);
		
		var resultRow = Titanium.UI.createTableViewRow({
			selectedBackgroundColor:'#fff'
		});
		var lblResult =  Titanium.UI.createLabel({
			text:'RESULTS*',
			color:'BLUE',
			font:{fontSize:16,fontWeight:'bold'},
			textAlign:'left',
			left:2
		});
		resultRow.className = 'home_row';
		resultRow.add(lblResult);
		data.push(resultRow);
		
		var durationRow = Titanium.UI.createTableViewRow({
			selectedBackgroundColor:'#fff'
		});
		var lblDuration =  Titanium.UI.createLabel({
			text:'Cylinder Duration: ',
			color:'#000',
			font:{fontSize:12,fontWeight:'bold'},
			textAlign:'left',
			left:3
		});
		var durationView = Titanium.UI.createView({
			backgroundColor:'#fff',
			height:50,
			width:screenWidth,
			left:0,
			right:0,
			borderWidth:3,
			borderColor:'BLUE'
		});
		durationView.add(lblDuration);
		durationView.add(durationLabel);
		durationRow.className = 'home_row';
		durationRow.add(durationView);
		data.push(durationRow);
		
		var noteRow = Titanium.UI.createTableViewRow({
			selectedBackgroundColor:'#fff'
		});
		var lblNote =  Titanium.UI.createLabel({
			text:'*Estimated cylinder duration time, breathing rate & cylinder tank pressure will affect actual duration.',
			color:'#000',
			font:{fontSize:13},
			textAlign:'left',
			left:2
		});
		noteRow.className = 'home_row';
		noteRow.add(lblNote);
		data.push(noteRow);
		
		var rowHeight = 50;
		
		var tableView = Titanium.UI.createTableView({
			data:data,
			backgroundColor:'#fff',
			scrollable:'false',
			top:topBarHeight,
			left:0,
			maxRowHeight:rowHeight,
			minRowHeight:rowHeight,
			rowHeight:rowHeight
		});
		
		tableView.addEventListener('click', function(e){
			var newView;
			
			if(e.index == 0){
				changeBgToOrange(e.row);
				newView = new O2DeviceSelection().load();
			} else if(e.index == 1 || e.index == 2 || e.index == 3){
				if(deviceTypeLabel.text == defaultSelectionLabel){
					var msg = Titanium.UI.createAlertDialog({
						message:'',
					    buttonNames: ['OK'],
					    title:'PLEASE SELECT O2 DEVICE FIRST!'
					});
					msg.show();
				} else{
					if(e.index == 1){
						changeBgToOrange(e.row);
						newView = new LiterFlowSelection().load();
					}
					if(e.index == 2){
						changeBgToOrange(e.row);
						newView = new CylinderSelection().load();
					}
					if(e.index == 3){
						changeBgToOrange(e.row);
						newView = new PercSelection().load();
					}
				}
			}
			
			if(newView){
				changeView(newView);
			}
		});
		
		homeView.add(topBar);
		homeView.add(tableView);
		
		return homeView;
	};
}
