
function CylinderSelection(){
	
	this.load = function(){
		var topBar = new TopBar().load();
		var deviceType = deviceTypeLabel.text;
		
		var screenLabel = Titanium.UI.createLabel({  
		    text:'CYLINDER SIZE SELECTION',
		    color:'#fff',
			textAlign:'center',
		    font:{fontWeight:'bold'}
		});
		var backBtn = Titanium.UI.createButton({  
		    backgroundImage:'images/BackBtn.png',
		    width:50,
		    height:22,
		    top:(topBar.height-22 )/2,
		    left:10
		});
		backBtn.addEventListener('click', function(e){
			changeView(new HomeScreen().load());
		});
		
		topBar.add(backBtn);
		topBar.add(screenLabel);
		
		var cylinderSelectionView = Titanium.UI.createView({
			width:screenWidth,
			height:viewHeight,
			top:titleBarHeight
		});
		
		var leftData = [];
		var rightData = [];
		var cylSizes = CalcObject.getCylSizes(deviceType);
		
		var leftViewWidth;
		var rowHeight;
		if(cylSizes.length > 7) {
			leftViewWidth = screenWidth/2 - 1;
			rowHeight = bodyViewHeight/7 - 1;
		} else {
			leftViewWidth = screenWidth;
			rowHeight = bodyViewHeight/cylSizes.length - 2;
		}
		
		var leftView = Titanium.UI.createView({
			width:leftViewWidth,
			height:(viewHeight - topBarHeight),
			top:topBarHeight,
			left:0
		});
		
		var rightView = Titanium.UI.createView({
			width:screenWidth/2 - 1,
			height:(viewHeight - topBarHeight),
			top:topBarHeight,
			right:0
		});
		
		var seperator = Titanium.UI.createLabel({
			width:2,
			backgroundColor:'#000',
			height:leftView.height,
			left:leftView.width,
			top:topBarHeight
		});
		
		for(i = 0; i < cylSizes.length; i++){
			var cylSizeRow = Titanium.UI.createTableViewRow({
				selectedBackgroundColor:'#fff'
			});
			var lblCylSize =  Titanium.UI.createLabel({
				text:cylSizes[i],
				color:'#000',
				font:{fontSize:18,fontWeight:'bold'},
				textAlign:'center'
			});
			cylSizeRow.add(lblCylSize);
			if( i >= 7){
				rightData.push(cylSizeRow);
			} else{
				leftData.push(cylSizeRow);
			}
		}
		
		var leftTable = Titanium.UI.createTableView({
			data:leftData,
			backgroundColor:'#fff',
			scrollable:'false',
			top:0,
			left:0,
			maxRowHeight:rowHeight,
			minRowHeight:rowHeight,
			rowHeight:rowHeight
		});
		leftTable.addEventListener('click', function(e){
			changeBgToOrange(e.row);
			cylinderSizeLabel.text = CalcObject.getCylSize(deviceTypeLabel.text, e.index);
			displayResult();
			changeView(new HomeScreen().load());
		});
		
		var rightTable = Titanium.UI.createTableView({
			data:rightData,
			backgroundColor:'#fff',
			scrollable:'false',
			top:0,
			left:0,
			maxRowHeight:rowHeight,
			minRowHeight:rowHeight,
			rowHeight:rowHeight
		});
		rightTable.addEventListener('click', function(e){
			changeBgToOrange(e.row);
			cylinderSizeLabel.text = CalcObject.getCylSize(deviceTypeLabel.text, (e.index + 7));
			displayResult();
			changeView(new HomeScreen().load());
		});
		
		leftView.add(leftTable);
		rightView.add(rightTable);
		
		cylinderSelectionView.add(topBar);
		if(cylSizes.length > 7) {
			cylinderSelectionView.add(leftView);
			cylinderSelectionView.add(rightView);
			cylinderSelectionView.add(seperator);
		} else {
			cylinderSelectionView.add(leftView);
		}

		return cylinderSelectionView;
	};
}