
function LiterFlowSelection(){
	
	this.load = function(){
		
		var topBar = new TopBar().load();
		var deviceType = deviceTypeLabel.text;
		var deviceTypeUpper = deviceType.toUpperCase();
		
		var screenLabel1 = Titanium.UI.createLabel({  
		    text:deviceTypeUpper,
		    color:'#fff',
			textAlign:'center',
		    font:{fontSize:'12', fontWeight:'bold'},
		    top:0,
		    height:topBarHeight/2
		});
		var screenLabel2 = Titanium.UI.createLabel({  
		    text:'LITER FLOW SELECTION',
		    color:'#fff',
			textAlign:'center',
		    font:{fontSize:'12', fontWeight:'bold'},
		    top:topBarHeight/2
		});
		
		var backBtn = Titanium.UI.createButton({  
		    backgroundImage:'images/BackBtn.png',
		    width:50,
		    height:22,
		    top:(topBar.height-22 )/2,
		    left:10
		    
		});
		backBtn.addEventListener('click', function(e){
			changeView(new HomeScreen().load());
		});
		topBar.add(backBtn);
		topBar.add(screenLabel1);
		topBar.add(screenLabel2);
		
		var literFlowSelectionView = Titanium.UI.createView({
			width:screenWidth,
			height:viewHeight,
			top:titleBarHeight
		});
		
		var leftData = [];
		var rightData = [];
		var literFlows = CalcObject.getLiterFlows(deviceType);
		
		var leftViewWidth;
		var rowHeight;
		var cutOff = 7;
		if(literFlows.length > 7) {
			if(literFlows.length == 10) {
				cutOff = 5;
				leftViewWidth = screenWidth/2 - 1;
				rowHeight = bodyViewHeight/5 - 1;
			} else {
				leftViewWidth = screenWidth/2 - 1;
				rowHeight = bodyViewHeight/7 - 1;
			}
		} else {
			leftViewWidth = screenWidth;
			rowHeight = bodyViewHeight/literFlows.length - 2;
		}
		
		var leftView = Titanium.UI.createView({
			width:leftViewWidth,
			height:bodyViewHeight,
			top:topBarHeight,
			left:0
		});
		
		var rightView = Titanium.UI.createView({
			width:screenWidth/2 - 1,
			height:(viewHeight - topBarHeight),
			top:topBarHeight,
			right:0
		});
		
		var seperator = Titanium.UI.createLabel({
			width:2,
			backgroundColor:'#000',
			height:leftView.height,
			left:leftView.width,
			top:topBarHeight
		});
		
		for(i = 0; i < literFlows.length; i++){
			var literFlowRow = Titanium.UI.createTableViewRow({
				selectedBackgroundColor:'#fff'
			});
			var lblLiterFlow =  Titanium.UI.createLabel({
				text:literFlows[i] + ' LPM',
				color:'#000',
				font:{fontSize:18,fontWeight:'bold'},
				textAlign:'center'
			});
			literFlowRow.add(lblLiterFlow);
			if( i >= cutOff){
				rightData.push(literFlowRow);
			} else{
				leftData.push(literFlowRow);
			}
		}
		
		var leftTable = Titanium.UI.createTableView({
			data:leftData,
			backgroundColor:'#fff',
			scrollable:'false',
			top:0,
			left:0,
			maxRowHeight:rowHeight,
			minRowHeight:rowHeight,
			rowHeight:rowHeight
		});
		leftTable.addEventListener('click', function(e){
			changeBgToOrange(e.row);
			literFlowLabel.text = CalcObject.getLiterFlow(deviceTypeLabel.text, e.index) + ' LPM';
			displayResult();
			changeView(new HomeScreen().load());
		});
		
		var rightTable = Titanium.UI.createTableView({
			data:rightData,
			backgroundColor:'#fff',
			scrollable:'false',
			top:0,
			left:0,
			maxRowHeight:rowHeight,
			minRowHeight:rowHeight,
			rowHeight:rowHeight
		});
		rightTable.addEventListener('click', function(e){
			changeBgToOrange(e.row);
			literFlowLabel.text = CalcObject.getLiterFlow(deviceTypeLabel.text, (e.index + cutOff)) + ' LPM';
			displayResult();
			changeView(new HomeScreen().load());
		});
		
		leftView.add(leftTable);
		rightView.add(rightTable);
		
		literFlowSelectionView.add(topBar);
		if(literFlows.length > cutOff) {
			literFlowSelectionView.add(leftView);
			literFlowSelectionView.add(rightView);
			literFlowSelectionView.add(seperator);
		} else {
			literFlowSelectionView.add(leftView);
		}
		
		return literFlowSelectionView;
	};
}